$  Copyright(c)  1998 Sun Microsystems, Inc.
$   All rights reserved .


$  #ident  "@(#)fbtest.msg  1.9  00/07/14  SMI"



$ ---- VERBOSE ------
$ V_recall_msg
0001 "Message received: Type %d %s"

$ V_start_test_msg
0002 	"Test started on %s."

$ V_routine_msg
0003 %s specific arguments: \n\
	lock:  E(nable)/D(isable)  FB Lock\n


$ ---- ERROR --------
$ E_compare_err
6000 "Data compare error" Probable_Cause(s): <FB lock disabled ?> <Bad Frame Buffer?> Recommended_Action(s): <Enable FB lock> <If the problem persists, call your authorized Sun service provider.>

$ E_data_err
6001 "Video memory error at 0x%X, expected: 0x%X, observed: 0x%X"  Probable_Cause(s): <FB lock disabled?> <Bad Frame Buffer?> Recommended_Action(s): <Enable FB lock> <If the problem persists, call your authorized Sun service provider.>


$ E_fblock_failure
6002 	"Unable to lock frame buffer." Probable_Cause(s): <FB lock was enabled while Window System was not running?> <xhost access problem> Recommended_Action(s): <Ensure window system is running before starting test. If window system is not required, disable fblock!!><Disable access control with xhost >



$ ---- FATAL --------
$ F_semaphor_err
8000 "can't acquire console semaphore" Probable_Cause(s): <Syetem load too heavy?> <System error?> Recommended_Action(s): <Reduce the system load> <If the problem persists, call your authorized Sun service provider.>

$ F_parameter_err
8001 "Parameter error - Improper test parameters supplied." Probable_Cause(s): <fbtest can only run in  offline mode.>

$ F_noname_err
8002 	"Device name missing!"  Probable_Cause(s): <Parameter error.>  Recommended Action(s): <Must provide device name!>

$ F_create_raster_err
8003 	"Create_Raster() failed for %s" Probable_Cause(s): <Parameter error?> <No such device?>

$ F_create_child_raster_err
8004 	"Create_Raster() failed for type RAS_CHILD" Probable Causes(s): <Operator error?> <Software error?> Recommended Action(s): <Check test options, mode  and retry if appropriate> <Consult Support Representative.>

$ F_malloc_err
8005 		"Malloc failed."  Probable_Cause(s): <Syetem load too heavy?> <System error?> Recommended_Action(s): <Reduce the system load> <If the problem persists, call your authorized Sun service provider.>

$ ---- Probe error messages

10000 "Failed to separate the id and logical name.\n"

10001 " parent_path %s, dvctype %s, inst %d.\n"

10002 " dvctype %s, inst %d.\n"
